Skip to main content
GET
/
auth
/
tenant-users
/
{id}
Get a tenant user by ID
curl --request GET \
  --url https://api.example.com/auth/tenant-users/{id}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "tenantId": "123e4567-e89b-12d3-a456-426614174000",
  "name": "John Doe",
  "email": "[email protected]",
  "createdAt": "2021-01-01T00:00:00.000Z",
  "updatedAt": "2021-01-01T00:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Response

The tenant user has been successfully retrieved

id
string
required

The ID of the tenant user

Example:

"123e4567-e89b-12d3-a456-426614174000"

tenantId
string
required

The ID of the tenant

Example:

"123e4567-e89b-12d3-a456-426614174000"

name
string
required

The name of the tenant user

Example:

"John Doe"

email
string
required

The email of the tenant user

createdAt
string<date-time>
required

The date and time the tenant user was created

Example:

"2021-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required

The date and time the tenant user was updated

Example:

"2021-01-01T00:00:00.000Z"